# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Jcode
Version:	2.07
Release:	6.%{__distinit}%{__distvers}
Summary:	Perl extension interface for converting Japanese text
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Jcode/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DANKOGAI/Jcode-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if "%{perl_version}" != "5.8.0"
BuildArch:	noarch
%endif
BuildRequires:	perl(ExtUtils::MakeMaker), perl(MIME::Base64), perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%{perl_version})
Requires:	perl(MIME::Base64)

%description
%{summary}.

%prep
%setup -q -n Jcode-%{version}

# Fix character encoding of pod file
%{__mv} Jcode/Nihongo.pod Jcode/Nihongo.pod.euc-jp
%{__sed} -e 's/^=encoding euc-jp/=encoding utf8/' Jcode/Nihongo.pod.euc-jp |
	/usr/bin/iconv -f euc-jp -t utf-8 -o Jcode/Nihongo.pod
%{__rm} Jcode/Nihongo.pod.euc-jp

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -empty -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
LC_ALL=C %{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes* README
%if "%{perl_version}" == "5.8.0"
%{perl_vendorarch}/Jcode.pm
%dir %{perl_vendorarch}/Jcode/
%doc %{perl_vendorarch}/Jcode/Nihongo.pod
%{perl_vendorarch}/Jcode/Constants.pm
%{perl_vendorarch}/Jcode/_Classic.pm
%{perl_vendorarch}/Jcode/H2Z.pm
%{perl_vendorarch}/Jcode/Tr.pm
%{perl_vendorarch}/Jcode/Unicode.pm
%{perl_vendorarch}/Jcode/Unicode/
%{perl_vendorarch}/auto/Jcode/
%{_mandir}/man3/Jcode::Unicode.3pm*
%{_mandir}/man3/Jcode::Unicode::NoXS.3pm*
%{_mandir}/man3/Jcode::Unicode::Constants.3pm*
%else
%{perl_vendorlib}/Jcode.pm
%dir %{perl_vendorlib}/Jcode/
%doc %{perl_vendorlib}/Jcode/Nihongo.pod
%endif
%{_mandir}/man3/Jcode.3pm*
%{_mandir}/man3/Jcode::Nihongo.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 2.07-6
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> 2.07-5
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> 2.07-4
- Dist tag for Rawhide no longer needs special-casing

* Tue Aug 25 2009 Paul Howarth <paul@city-fan.org> 2.07-3
- Add explicit perl(MIME::Base64) dependency for MIME header support
- Define RPM macros in global scope

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> 2.07-2
- Run test suite in "C" locale to support build on old distributions
- Package is arch-specific on perl < 5.8.1
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue May 13 2008 Paul Howarth <paul@city-fan.org> 2.07-1
- Update to 2.07

* Mon Mar 10 2008 Paul Howarth <paul@city-fan.org> 2.06-6
- Add buildreq perl(Test::More)
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- 
* Tue Jun  5 2007 Paul Howarth <paul@city-fan.org> 2.06-3
- Fix dist tag for Fedora 7 onwards
- Add buildreq perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 2.06-2
- Fix distribution tags for development releases

* Mon Jul  3 2006 Paul Howarth <paul@city-fan.org> 2.06-1
- Update to 2.06

* Tue May 16 2006 Paul Howarth <paul@city-fan.org> 2.05-1
- Update to 2.05
- Encode manpages in UTF-8

* Tue Apr 18 2006 Paul Howarth <paul@city-fan.org> 2.04-1
- Update to 2.04
- Define %%__id_u in a more portable way
- Support build on CentOS

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> 2.03-1
- Update to 2.03
- Add perl(MIME::Base64) buildreq
- Include old Changes file too
- Package is noarch for perl 5.8.1 or newer; new %%files section written

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> 0.88-2
- Import from Fedora Extras
- Use search.cpan.org URL for source
- Tidy up

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Dec 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.88-0.fdr.1
- Update to 0.88

* Sun Jul 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.87-0.fdr.1
- Update to 0.87.
- Require perl(:MODULE_COMPAT_*).

* Mon Jun 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.86-0.fdr.1
- Update to 0.86.

* Sat Jun 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.85-0.fdr.1
- Update to 0.85.
- Bring up to date with current fedora.us Perl spec template.

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Sun Jul  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.2
- Regenerate %%install section with cpanflute2, omit spurious *.pl.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.1
- Update to 0.83 and to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.82-1.fedora.1
- First Fedora release.
